Subject: bug#45117: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: Dmitry Gutov <[email-masked]>
Date: Thu, 10 Dec 2020 19:20:49 +0200

On 10.12.2020 18:29, João Távora wrote:
> Stefan, I think this change has to go.  Now that we have proper (or more
> proper) async support in eldoc.el, we shouldn't need these tricks: just
> use a timer or a process or sth.

Not everybody uses the async support. This was a good change, and I'm 
taking advantage of it in at least one external package.

I wonder how hard it would be to fix the async support not to be 
hindered by it.

Also note that that this form could be useful for the asynchronous route 
as well: after the user has send some new input, we don't really want to 
process the "old" eldoc requests anymore, those responses should be ignored.